Gamma/Photon: Using Gamma™ with the Photon microGUIŽ, Version 4.0
Prev |  | Next

# A Typical Class Reference Page

`SampleClass` -- A one-line description of the class appears here.

## Synopsis

Here you will find a class synopsis, including the class name, parent name, and the instance variables.

| In all of these reference pages, links to Gamma documentation work for the HTML and QNX Helpviewer editions of this book. Links to QNX Helpviewer documentation work for the QNX Helpviewer edition only.

    class PtSample ParentClass(Link to Gamma documentation.)
    {
        sample_variable_1; //PtSampleVariableOne (Link to QNX Helpviewer.)
        sample_variable_2; //unsigned long (Link to QNX Helpviewer.)
    }

## Base Classes

This shows the base class hierarchy from which this class came. The hierarchy descends from left to right, and is linked to Gamma documentation:

`PtWidget` <-- `PtBasic` <-- `PtContainer` <-- `SampleClass`

## Description

Here you will find a more detailed description of the class, although for many classes a complete description is beyond the scope of this document. In those cases, a note and a link will refer you to the Photon documentation.

## Instance Variables

There are three kinds of instance variables: (1) those with mutually exclusive constants, (2) those that can take zero or more constants (inclusive), and (3) those with no constants. Examples of each of the three are given below. Those that have constants list the constant names with either a brief description or a one-word title of each constant.

exclusive_constants_variable (Linked to QNX Helpviewer when possible.)

  A brief description of the variable may appear here.

  This instance variable contains exactly one of the following constants:

  Constant | Description
  --- | ---
  constant_name1 | Constant title or brief description.
  constant_name2 | Constant title or brief description.

inclusive_constants_variable (Linked to QNX Helpviewer when possible.)

  A brief description of the variable may appear here.

  This instance variable may contain zero or more of the following constants:

  Constant | Description
  --- | ---
  constant_name1 | Constant title or brief description.
  constant_name2 | Constant title or brief description.

no_constants_variable (Linked to QNX Helpviewer when possible.)

  A brief description of the variable may appear here.

## Callbacks

If there are any callbacks associated with this class, their names and a short description will appear here.

## Associated Classes

If there are any other classes associated with this class, their names will appear here, linked to the Gamma documentation.

## Methods

For the one or two classes that have a method library, their methods will be displayed them here, along with their respective syntax, arguments, return value, description and examples.

## Convenience Functions

If the class has any convenience functions associated with it, they will appear here. Since multiple functions for one widget generally take the same arguments, all the arguments for the functions are listed first. There there is a brief summary of each function, including return values.

## Example

If the class has any example code, it will appear here.

Prev | Home | Next
Classes | Up | Specifying Widget Flags

Copyright 1995-2002 by Cogent Real-Time Systems, Inc.